Package groovy.cli

# Class TypedOption<T>

java.lang.Object
java.util.AbstractMap<K,V>
java.util.HashMap<String,T>
groovy.cli.TypedOption<T>

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Map<String,T>`

public class TypedOption<T> extends HashMap<String,T>

See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.util.AbstractMap

  `AbstractMap.SimpleEntry<K extends Object,V extends Object>, AbstractMap.SimpleImmutableEntry<K extends Object,V extends Object>`

  ## Nested classes/interfaces inherited from interface java.util.Map

  `Map.Entry<K extends Object,V extends Object>`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TypedOption()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `T`
  `defaultValue()`

  ### Methods inherited from class java.util.HashMap

  `clear, clone, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, forEach, get, getOrDefault, isEmpty, keySet, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

  ### Methods inherited from class java.util.AbstractMap

  `equals, hashCode, toString`

  ### Methods inherited from class java.lang.Object

  `finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface java.util.Map

  `equals, hashCode`

- ## Constructor Details

  - ### TypedOption

    public TypedOption()

- ## Method Details

  - ### defaultValue

    public T defaultValue()